# Class CIM_ObjectManagerAdapter
extends CIM_WBEMService

ObjectManagerAdapter is deprececated. Client Object Manager Adapter is now modeled by ProtocolService. There is no replacement for the other types of adapters. A ObjectManagerAdapter is a Service of the CIM Object Manager. An adapter can be any service of the Object Manager that needs to be managed (e.g. started, stopped, monitored, ...). There MUST be an instance for each Adapter type.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_WBEMService
|
+--CIM_ObjectManagerAdapter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_ProtocolService, No value

Description

string

ObjectManagerAdapter is deprececated. Client Object Manager Adapter is now modeled by ProtocolService. There is no replacement for the other types of adapters. A ObjectManagerAdapter is a Service of the CIM Object Manager. An adapter can be any service of the Object Manager that needs to be managed (e.g. started, stopped, monitored, ...). There MUST be an instance for each Adapter type.

UMLPackagePath | string | CIM::Interop
Version | string | 2.39.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AdapterType | uint16 |
Deprecated | string | No value

Description

string

AdapterType enumerates the kind of Object Manager Adapter. If 'Other' is specified, the OtherAdapterTypeDescription property MUST be populated. Other - If the adapter does not fit into one of the other catagories in the list. If specified, the OtherAdapterTypeDescription property MUST be populated. Client - A client side adapter that responds to client operation requests, such as CIM-XML or CIM-SOAP. Provider - A provider adapter, such as DMI, SNMP, JSR48 or CMPI. Indication Handler - An Indication Handler is a service that delivers indications to a subscriber. Examples of possible Indication Handlers are CIM-XML, CIM-SOAP, SMPT (e-mail) or any other delivery mechanism. Repository - A repository is an adapter that can store/retrieve persistent data, such as CIM Qualifier Types, CIM Classes and CIM Instances. An Object Manager could use multiple repositiories at one time, for example one could be used for CIM Schema information only, while another is used for instance information. Repositories MAY be remote or local to the CIM Object Manager. Examples of repository implementations could be databases, LDAP or files.

ModelCorrespondence | string | CIM_ObjectManagerAdapter.OtherAdapterTypeDescription
Required | boolean | true
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Client, Provider, Indication Handler, Repository
ElementName | string |
Description | string | The ElmentName property is used as a name of the Object Manager Adapter for human interfaces. For example, "ACME ObjectManager Adapter".
Override | string | ElementName
Handle | string |
Deprecated | string | No value
Description | string | An implementation specific string that identifies the handle to the Object Manager Adapter.
Required | boolean | true
Name | string |
Description | string | A human-readable name that uniquely identifies the ObjectManager within a system.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
OtherAdapterTypeDescription | string |
Deprecated | string | No value
Description | string | The type(s) of ObjectManagerAdapter when "Other" is included in ObjectManagerAdapterType property.
ModelCorrespondence | string | CIM_ObjectManagerAdapter.AdapterType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service